Name:     openzwave
Version:  1.4.164
Release:  1%{?dist}
Summary:  Sample Executables for OpenZWave
URL:      http://www.openzwave.net
License:  LGPLv3+
Source0:  http://old.openzwave.com/downloads/openzwave-%{version}.tar.gz
# Use exceptions instead of exit()
# https://github.com/OpenZWave/open-zwave/pull/1269
Patch1:   openzwave-exceptions.patch
# Use system tinyxml
Patch2:   openzwave-tinyxml.patch

BuildRequires: gcc-c++
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: systemd-devel
BuildRequires: tinyxml-devel

Provides: bundled(hidapi) = 0.7.0


%description
OpenZWave is an open-source, cross-platform library designed to enable anyone to
add support for Z-Wave home-automation devices to their applications, without 
requiring any in depth knowledge of the Z-Wave protocol.


%package -n libopenzwave
Summary: Library to access Z-Wave interfaces


%description -n libopenzwave
OpenZWave is an open-source, cross-platform library designed to enable anyone to
add support for Z-Wave home-automation devices to their applications, without 
requiring any in depth knowledge of the Z-Wave protocol.


%package -n libopenzwave-devel
Summary: Open-ZWave header files
Requires: libopenzwave%{?_isa} = %{version}-%{release}


%description -n libopenzwave-devel
Header files needed when you want to compile your own 
applications using openzwave


%package -n libopenzwave-devel-doc
Summary: Open-ZWave API documentation files
Requires: libopenzwave-devel%{?_isa} = %{version}-%{release}


%description -n libopenzwave-devel-doc
API documentation files needed when you want to compile your own 
applications using openzwave


%prep
%setup -q
%patch1 -p1 -b.exceptions
%patch2 -p1 -b.tinyxml


%build
major_ver=$(echo %{version} | awk -F \. {'print $1'})
minor_ver=$(echo %{version} | awk -F \. {'print $2'})
revision=$(echo %{version} | awk -F \. {'print $3'})
CPPFLAGS="\"%{optflags} -Wformat -DOPENZWAVE_ENABLE_EXCEPTIONS\"" LDFLAGS="%{__global_ldflags}" VERSION_MAJ=$major_ver VERSION_MIN=$minor_ver VERSION_REV=$revision PREFIX=/usr sysconfdir=%{_sysconfdir}/openzwave/ includedir=%{_includedir} docdir=%{_defaultdocdir}/openzwave-%{version} instlibdir=%{_libdir} make %{?_smp_mflags}


%install
rm -rf %{buildroot}/*
major_ver=$(echo %{version} | awk -F \. {'print $1'})
minor_ver=$(echo %{version} | awk -F \. {'print $2'})
revision=$(echo %{version} | awk -F \. {'print $3'})
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%{_defaultdocdir}/openzwave-%{version}/
mkdir -p %{buildroot}/%{_sysconfdir}/
mkdir -p %{buildroot}/%{_includedir}/openzwave/
DESTDIR=%{buildroot} VERSION_MAJ=$major_ver VERSION_MIN=$minor_ver VERSION_REV=$revision PREFIX=/usr sysconfdir=%{_sysconfdir}/openzwave/ includedir=%{_includedir}/openzwave/ docdir=%{_defaultdocdir}/openzwave-%{version} instlibdir=%{_libdir} make install
rm %{buildroot}%{_defaultdocdir}/openzwave-%{version}/Doxyfile.in
rm -rf %{buildroot}%{_defaultdocdir}/openzwave-%{version}/html/
rm -rf %{buildroot}%{_defaultdocdir}/openzwave-%{version}/default.htm
rm -rf %{buildroot}%{_defaultdocdir}/openzwave-%{version}/general/
rm -rf %{buildroot}%{_defaultdocdir}/openzwave-%{version}/images+css/
rm -rf %{buildroot}%{_defaultdocdir}/openzwave-%{version}/api/


%files
%{_bindir}/MinOZW


%files -n libopenzwave
%license license/*.txt
%doc docs/default.htm docs/general/ docs/images+css/
%{_libdir}/libopenzwave.so.*
%config(noreplace) %{_sysconfdir}/openzwave/


%files -n libopenzwave-devel
%{_bindir}/ozw_config
%{_includedir}/openzwave/
%{_libdir}/libopenzwave.so
%{_libdir}/pkgconfig/libopenzwave.pc


%files -n libopenzwave-devel-doc
%doc docs/api/


%post -n libopenzwave -p /sbin/ldconfig


%postun -n libopenzwave -p /sbin/ldconfig


%changelog
* Wed Jul 12 2017 Michael Cronenworth <mike@cchtml.com> - 1.4.164-1
- Initial spec

